<?php
namespace Modules\Cad_institucional_textos\Controllers;

use App\Controllers\BaseController;
use Modules\Cad_institucional_textos\Models\model_cad_institucional_textos;

class Cad_institucional_textos extends BaseController {
	public function __construct() {
		$this->model_cad_institucional_textos = new Model_cad_institucional_textos;
	}

	public function index() {
		$dados['id'] 				= 1;
		$dados['cadastro'] 	= $this->model_cad_institucional_textos->alterar();
		$dados['logs']			= $this->dataHelper->DH_getLogFile('cad_institucional_textos', '');

		$this->dataHelper->DH_actionRecord(1);
		$this->_cms('Modules\Cad_institucional_textos\Views\view_cad_institucional_textos_cadastrar', $dados);
	}

	public function alterando() {
		
		/*
    * Remove valores do POST
    */

		unset($_POST['honeypot']);
		unset($_POST['upCadastro']);
		unset($_POST['upModulo']);
		unset($_POST['upTabela']);
		unset($_POST['upPasta']);
		unset($_POST['upSubPasta']);
		unset($_POST['upIndex']);
		unset($_POST['uploaderGallery_count']);
		

		for ($i = 0; $i <= 20; $i++) { 
			unset($_POST['uploaderGallery_' . $i . '_status']);
			unset($_POST['uploaderGallery_' . $i . '_tmpname']);
			unset($_POST['uploaderGallery_' . $i . '_name']);
		}

		$dados = $this->model_cad_institucional_textos->alterar();

		/*
    * Uploads images
    */

		if(isset($_FILES['imagem']) and $_FILES['imagem']['error'] == 0) {
			$fileReturn = $this->uploadHelper->UPH_uploadImage('cad_institucional_textos', $dados->imagem, 'upload_cad_institucional_textos', '', 'imagem', $dados->id);
			$this->dataHelper->DH_actionRecordUpload('cad_institucional_textos', $dados->id, $fileReturn['msg']);
		}

		if(isset($_FILES['imagem_mobile']) and $_FILES['imagem_mobile']['error'] == 0) {
			$fileReturn = $this->uploadHelper->UPH_uploadImage('cad_institucional_textos', $dados->imagem_mobile, 'upload_cad_institucional_textos', '', 'imagem_mobile', $dados->id);
			$this->dataHelper->DH_actionRecordUpload('cad_institucional_textos', $dados->id, $fileReturn['msg']);
		}

		if(isset($_FILES['interna_imagem']) and $_FILES['interna_imagem']['error'] == 0) {
			$fileReturn = $this->uploadHelper->UPH_uploadImage('cad_institucional_textos', $dados->interna_imagem, 'upload_cad_institucional_textos', '', 'interna_imagem', $dados->id);
			$this->dataHelper->DH_actionRecordUpload('cad_institucional_textos', $dados->id, $fileReturn['msg']);
		}

		if(isset($_FILES['interna_imagem_mobile']) and $_FILES['interna_imagem_mobile']['error'] == 0) {
			$fileReturn = $this->uploadHelper->UPH_uploadImage('cad_institucional_textos', $dados->interna_imagem_mobile, 'upload_cad_institucional_textos', '', 'interna_imagem_mobile', $dados->id);
			$this->dataHelper->DH_actionRecordUpload('cad_institucional_textos', $dados->id, $fileReturn['msg']);
		}

		$this->model_cad_institucional_textos->alterando();
		$this->dataHelper->DH_createLogFile($dados->id, $_POST, 'Alteração de cadastro', 'cad_institucional_textos', '');

		$this->dataHelper->DH_actionRecord($dados->id);
		service('session')->set('msg', array('titulo' => 'Sucesso!', 'descricao' => 'Suas alterações foram salvas.', 'tipo' => 'success'));
		return redirect()->to(site_url(service('request')->uri->getSegment(1)));
	}
}